security:
    enable_authenticator_manager: true

    # https://symfony.com/doc/current/security.html#where-do-users-come-from-user-providers
    providers:
        # used to reload user from session & other features (e.g. switch_user)
        app_user_provider:
            entity:
                class: App\Entity\RiaEvaluacionUser
                property: username
        # used to reload user from session & other features (e.g. switch_user)
    firewalls:
        dev:
            pattern: ^/(_(profiler|wdt)|css|images|js)/
            security: false
        mainria:
            lazy: true
            custom_authenticator: App\Security\AppSSOConsejoAuthenticator
            provider: app_user_provider
            logout:
                path: app_logout
        #         # where to redirect after logout
                target: portal_consejo
    
    role_hierarchy:
        ROLE_EVALUACION_ADMIN: ROLE_EVALUACION_VACANTE

    # Easy way to control access for large sections of your site
    # Note: Only the *first* access control that matches will be used
    access_control:
        - { path: ^/sso_connect, roles: PUBLIC_ACCESS }
        - { path: ^/portal/consejo/, roles: PUBLIC_ACCESS }
        - { path: ^/ria/evaluacion/antecedentes/, roles: [ ROLE_INFORMATICA, ROLE_EVALUACION_VACANTE ] }
        - { path: ^/ria/informatica/antecedentes/, roles: [ ROLE_INFORMATICA, ROLE_EVALUACION_VACANTE ] }
        - { path: ^/registro/escuela/, roles: [ ROLE_INFORMATICA, ROLE_EVALUACION_VACANTE ] }
        - { path: ^/, roles: IS_AUTHENTICATED_REMEMBERED }
